<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from scidoe_ff2n.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="scidoe_ff2n" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>scidoe_ff2n</refname>
    <refpurpose>Full factorial design with 2 levels</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   B=scidoe_ff2n(n)
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>n :</term>
      <listitem><para> a 1-by-1 matrix of doubles, integer value, positive, the number of levels for each factor</para></listitem></varlistentry>
   <varlistentry><term>B :</term>
      <listitem><para> a m-by-n matrix of doubles, the experiments in the range [0,1], where m=n*n.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Computes a full factorial design with 2 levels for each factor.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
// Create a full factorial design with :
// 2 levels for the first factor
// 2 levels for the second factor
B=scidoe_ff2n(2)
// Scale into [-1,1]
C=2*B-1;
// Plot this design
scf();
scidoe_plotcube(2);
plot(C(:,1),C(:,2),"bo");
xtitle("Full Factorial Design","X1","X2")

// For three factors
B=scidoe_ff2n(3)
// Scale into [-1,1]
C=2*B-1;
// Plot this design
h = scf();
param3d(C(:,1),C(:,2),C(:,3))
h.children.children.mark_mode="on";
h.children.children.line_mode="off";
h.children.children.mark_size=1;
scidoe_plotcube(3)
xtitle("Full Factorial Design","X1","X2","X3")

// For four factors
B=scidoe_ff2n(4)

// Print the number of experiments
for n = 1 : 10
B=scidoe_ff2n(n);
m = size(B,"r");
mprintf("n=%d, Num. Experiments=%d\n",..
n,m)
end

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2012 - Michael Baudin</member>
   <member>Copyright (C) 2012 - Maria Christopoulou</member>
   </simplelist>
</refsection>
</refentry>
